---
title: requests.post() function
description: 'requests.post() makes a http POST request. This identical to calling request.do(method: "POST", ...).'
url: https://docs.influxdata.com/flux/v0/stdlib/experimental/http/requests/post/
estimated_tokens: 1808
product: Flux
version: v0
---

# requests.post() function

-   Flux 0.152.0 – 0.173.0
-   View InfluxDB support

`requests.post()` is experimental and [subject to change at any time](/flux/v0/stdlib/experimental/#experimental-packages-are-subject-to-change).

`requests.post()` makes a http POST request. This identical to calling `request.do(method: "POST", ...)`.

#### Deprecated

Experimental `requests.post` is deprecated in favor of [`requests.post`](/flux/v0/stdlib/http/requests/post/).

##### Function type signature

```js
(
    url: string,
    ?body: bytes,
    ?config: {A with timeout: duration, insecureSkipVerify: bool},
    ?headers: [string:string],
    ?params: [string:[string]],
) => {statusCode: int, headers: [string:string], duration: duration, body: bytes}
```

For more information, see [Function type signatures](/flux/v0/function-type-signatures/).

## Parameters

### url

(Required) URL to request. This should not include any query parameters.

### params

Set of key value pairs to add to the URL as query parameters. Query parameters will be URL encoded. All values for a key will be appended to the query.

### headers

Set of key values pairs to include on the request.

### body

Data to send with the request.

### config

Set of options to control how the request should be performed.

## Examples

### Make a POST request with a JSON body and decode JSON response

```js
import "experimental/http/requests"
import ejson "experimental/json"
import "json"
import "array"

response =
    requests.post(
        url: "https://goolnk.com/api/v1/shorten",
        body: json.encode(v: {url: "http://www.influxdata.com"}),
        headers: ["Content-Type": "application/json"],
    )

data = ejson.parse(data: response.body)

array.from(rows: [data])
```

[](#view-example-output)

View example output

#### Output data

| result_url |
| --- |
| https://goolnk.com/BnXAE6 |

[http](/flux/v0/tags/http/) [inputs](/flux/v0/tags/inputs/)
